import greenfoot.*;
import java.awt.Point;  // (Actor, World, Greenfoot, GreenfootImage)

public class MouseWorld extends World
{

Counter counter = new Counter("Score: ");
public int level = 0;

 public int startcheeses = 3;
 public int board = 0;
 
 public void countLevel()
{ level = level + 1;
}
 

public void nextLevel() {
        
        
        
        countLevel();
        if(level==1){
        setBackground("board.jpg"); 
    }
        if(level==2) {
            setBackground("bathroom-tile.jpg");
        }
        
       
        if(level==3) {
            setBackground("space.jpg");
        }
        
        addObject(new LevelBoard(counter.getValue(), level), getWidth()/2, getHeight()/2);
        Greenfoot.playSound("fanfare.wav");
        if(level==2){
            addcats(1);
        }
        
        board = 1;
        
        if(level>1) {
            addTrees(level);
        }
        
        
    }
    
    public int getboard(){
        return board;}

public void gameOver() 
    {
        addObject(new ScoreBoard(counter.getValue()), getWidth()/2, getHeight()/2);
        Greenfoot.playSound("au.wav");
        
    }
    
public void countCheesEaten()
    {
        counter.add(20);
    }
    /**
     * Erzeugt die Mäusewelt (Küche). Unsere Welt hat eine Größe 
     * von 560x560 Zellen, wobei jede Zelle nur ein Pixel groß ist.
     */
    public MouseWorld() 
    {
        super(560, 560, 1);
        populate();
    }
    
    public void populate()
    {
        addcheeses(3);
        addObject(new Mouse(), 100, 200);
        addcats(1);
        
      
        addObject(counter, 100, 500);
    } 
    
    public void checkClear() {
        if(numberOfcheeses() == 0) {
            Greenfoot.stop();
        }
    }
    
    public int numberOfcheeses() {
        return getObjects(cheese.class).size();
    }
    
    public void addcats(int count) {
        for(int i = 0; i < count; i++) {
            Point pos = getRandomStartPosition();
            addObject(new cat(), pos.x, pos.y);
        }
    }
    
    public void addcheeses(int count) {
        for(int i = 0; i < count; i++) {
            Point pos = getRandomStartPosition();
            addObject(new cheese(), pos.x, pos.y);
        }
    }
    
    public void addTrees(int count) {
        for(int i = 0; i < count; i++) {
            Point pos = getRandomStartPosition();
            addObject(new Tree(), pos.x, pos.y);
        }
    }
    
    public Point getRandomStartPosition() {
        int side = Greenfoot.getRandomNumber(4);
        Point pt = new Point();
        switch (side) {
            case 0: pt.x = Greenfoot.getRandomNumber(getWidth());
                    pt.y = Greenfoot.getRandomNumber(30);
                    break;
            case 1: pt.x = getWidth() - Greenfoot.getRandomNumber(30);
                    pt.y = Greenfoot.getRandomNumber(getHeight());
                    break;
            case 2: pt.x = Greenfoot.getRandomNumber(getWidth());
                    pt.y = getHeight() - Greenfoot.getRandomNumber(30);
                    break;
            case 3: pt.x = Greenfoot.getRandomNumber(30);
                    pt.y = Greenfoot.getRandomNumber(getHeight());
                    break;
        }
        return pt;
    }
    
    
    
    
    
}